> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Workflow Integrations

Workflow Integrations are a way to connect PagerDuty to other tools and services.

- [List Workflow Integrations](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/list-workflow-integrations.md) — `GET /workflows/integrations`
- [Get Workflow Integration](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/get-workflow-integration.md) — `GET /workflows/integrations/{id}`
- [List all Workflow Integration Connections](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/list-workflow-integration-connections.md) — `GET /workflows/integrations/connections`
- [List Workflow Integration Connections](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/list-workflow-integration-connections-by-integration.md) — `GET /workflows/integrations/{integration_id}/connections`
- [Create Workflow Integration Connection](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/create-workflow-integration-connection.md) — `POST /workflows/integrations/{integration_id}/connections`
- [Get Workflow Integration Connection](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/get-workflow-integration-connection.md) — `GET /workflows/integrations/{integration_id}/connections/{id}`
- [Update Workflow Integration Connection](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/update-workflow-integration-connection.md) — `PATCH /workflows/integrations/{integration_id}/connections/{id}`
- [Delete Workflow Integration Connection](https://docs.pagerduty.com/developer/api/reference/rest/workflow-integrations/delete-workflow-integration-connection.md) — `DELETE /workflows/integrations/{integration_id}/connections/{id}`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
